{% import "macros/form.html" as form %}

<form id="user-register-form" action="" method="post">
  {{ form.errors(error_summary) }}
  {{ form.input("name", id="field-username", label=_("Username"), placeholder=_("username"), value=data.name, error=errors.name, classes=["control-medium"], is_required=True) }}
  {{ form.input("fullname", id="field-fullname", label=_("Full Name"), placeholder=_("Joe Bloggs"), value=data.fullname, error=errors.fullname, classes=["control-medium"]) }}
  {{ form.input("email", id="field-email", label=_("Email"), type="email", placeholder=_("joe@example.com"), value=data.email, error=errors.email, classes=["control-medium"], is_required=True) }}
  {{ form.input("password1", id="field-password", label=_("Password"), type="password", placeholder="••••••••", value=data.password1, error=errors.password1, classes=["control-medium"], is_required=True) }}
  {{ form.input("password2", id="field-confirm-password", label=_("Confirm"), type="password", placeholder="••••••••", value=data.password2, error=errors.password1, classes=["control-medium"], is_required=True) }}

  <div>
    <i class="fa fa-info-circle"></i>
    {{ _("Password must consist of at least 8 characters and at least three of following four character types: Uppercase letter, Lowercase letter, Number, Special characters: ") }}
    !, @, #, $, %, ^, &, *.
  </div>

  {{ form.checkbox('privacypolicyconsent', label=_('I give my consent that my data may be used in accordance with <a href="/en/pages/private-life-and-cookies-policy">the privacy policy</a>'), value="true", error=errors.privacypolicyconsent, id="field-privacypolicyconsent") }}
  {{ form.checkbox('subscriptiontonews', label=_('Subscribe to news and e-mail notifications'), value="true", id="field-subscriptiontonews") }}
  <p>
    {{ _('By subscribing to news and e-mail notifications you are giving your consent for Energi Data Service to send you notifications via e-mail about site news. This consent can easily be withdrawn in the account settings.') }}
  </p>

  <p>
      <span class="control-required">* </span>{% trans %}Required field{% endtrans %}
  </p>
  {% if g.recaptcha_publickey %}
    {% snippet "user/snippets/recaptcha.html", public_key=g.recaptcha_publickey %}
  {% endif %}

  <div class="form-actions">
    {% block form_actions %}
    <button class="btn btn-primary" type="submit" name="save">{{ _("Create Account") }}</button>
    {% endblock %}
  </div>
</form>
